Jump to content

menu prestashop dans le BO figés


Recommended Posts

Bonjour

n'ayant pas eu de réponse à mon 1er post, je reviens pour pour vous faire part d'un problème dans le back office, 

certains menus déroulants sont sortie de leur "menus" et sont figés - donc non cliquables.

de même le paramétrage des articles n'est accessible que partiellement - quelque soit le navigateur

voir pj attachés

 

l'hébergeur me propose de tout réinstaller (!!!) 

 

merci de vos réponses 

01bug.JPG

02bug.JPG

Share this post


Link to post
Share on other sites

merci pour vos réponses

dans mon tableau de bord > j'ai PHP 7.4.

avec la possibilité de swticher en 7.3 uniquement. 

prestahsop: 1.7.6.3

cache vidé

mon hébergeur me suggère de tout réinstaller, ceux que je refuse/rechine à faire

 

en mode debug  ? pas vu où c'était.

merci à vous

Share this post


Link to post
Share on other sites

Soit vous faite la mise à jour vers une version compatible avec vos PHP disponibles soit vous changez d'hébergeur proposant des versions PHP réellement utilisées et pas seulement celles qui l'arrange pour éviter d'avoir trop de boulot.

Share this post


Link to post
Share on other sites

il faut en effet commencer par une mise à jour, après sauvegarde (!!!) des fichiers et de la BDD, en PS 1.7.7.x.

Ou bien, comme le suggère Mediacom87, de changer d'opérateur. Voire les deux, parce que bon, c'est pas hyper pro comme comportement de leur part ! ^_^

Et, à titre purement informatif, car la version PHP pourrait bien être le souci, le mode debug se trouve dans le menu Paramètres avancés/Performances.

Antoine

Share this post


Link to post
Share on other sites

merci pour les réponses

le mode debug Ok mais n'a rien donné

on est bien d'accord que seul mon hébergeur peut m'upgrader vers une version PHP compatible ?

ou quitte à réinstaller une version de PrestShop antérieure ... 

 

Olivier

 

 

Share this post


Link to post
Share on other sites

Non, regarde le tableau fourni par Mediacom, ou le lien que je t'ai donné, l'idée est justement soit d'upgrader PS vers 1.7.7 pour avoir une version compatible avec PHP 7.3 (dans tous les cas, il faudra que tu passe de 7.4 à 7.3), soit de downgrader PHP vers une version compatible avec ton PS actuel 1.7.6. Ce que ton hébergeur semble ne pas autoriser (PHP 7.2)

PS 1.7.6 = PHP 7.2 ou PS 1.7.7= PHP 7.3

Tu dois choisir l'une de ces deux voies.

Et non, c'est à toi de faire cette maj de PS en 1.7.7 (le module de PS 1-Click Upgrade peut faire ça très bien, mais fais une sauvegarde de PS et BDD avant !!!!! ), et pour PHP pour passer en 7.3, en général on peut le faire soit même, cela dépend des hébergeurs.

Ou bien tu changes d'hébergeur vers un qui te propose encore le PHP 7.2 et tu gardes ta boutique actuelle. Je te conseillerais la maj en PS 1.7.7 et le passage en PHP 7.3 plutôt.

Antoine

Share this post


Link to post
Share on other sites

Ok j'ai fait un back up de mon site + la BD

j'ai trouvé la version 1.7.7.7 

mon hébergeur par défaut propose PHP 7.4 / je vais switcher en 7.3 
par contre - là je repars à zéro pour l'installation ?

quels fichiers je fais remontrer de mon back up ? j'ai la trouille de tout perdre

merci 

Share this post


Link to post
Share on other sites

des tutos pour mettre à jour PS manuellement sont faciles à trouver sur le site de PS, ici ou sur internet. Pas la peine de tout répeter ici.

Sinon, tu as le module de mise à jour auto de PS qui fonctionne bien, en tout cas il a bien fonctionné chez moi avec mes versions.

Si tu as des sauvegardes de tes fichiers et de ta BDD, tu n'as donc aucun risque, tu pourras toujours revenir à la situation initiale. Et si tu veux vraiment être sûr, tu fais ça en local sur ton ordi et tu recopies ensuite le tout sur ton serveur (des tutos pour installer son PS en local existent aussi sur le net, même si ici il s'agit de recopier ton PS existant sur ton ordi (avec la BDD) et de le mettre à jour, puis de recopier le tout sur le serveur une fois OK). Mais bon, avec une sauvegarde, tu peux tenter de le faire en ligne directement.

bonne chance ! :)

Antoine

Share this post


Link to post
Share on other sites

Posted (edited)

bon j'ai contacté mon hébergeur ! je leur ai envoyé le tableau 

et là comme par magie ils m'ont rajouté 5 versions 5.6 / 7.1-2-3-4 

donc si tout est clair et selon le tableau  la 7.2PHP devrait être compatible avec ma version de presta  1.7.6.3

 

et ... en repassant en 7.2php le problème est toujours identique

mes menus sont bogués

Edited by margoulin (see edit history)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More